%define _prefix /opt/calxeda

Name:		python-pyipmi
Version:	0.8.0
Release:	1%{?dist}
Summary:	Python library that provides IPMI commands

Group:		Development/Languages
License:	BSD
URL:		http://sources.calxeda.com/python/packages/pyipmi/
Source0:	http://sources.calxeda.com/python/packages/pyipmi/pyipmi-%{version}.tar.gz

Patch0:		pyipmi-0.6.2-pexpect-u.patch

BuildArch:	noarch
BuildRequires:	python-devel, python-setuptools
# this specific ipmitool version is Required until RHBZ 918296 is resolved
# https://bugzilla.redhat.com/show_bug.cgi?id=918296
Requires:	ipmitool-cxoem >= 1.8.11-4%{?dist}.cx7
Requires:	python-pexpect

%description
pyipmi provides an abstraction layer above tools that provide IPMI (ipmitool,
freeipmi) so code can be written once and reused across different tools.


%prep
%setup -q -n pyipmi-%{version}
%patch0 -p1 -b .pexpect


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT --prefix %{_prefix}


%files
%doc README
%{_prefix}/lib/python*/site-packages/pyipmi/
%{_prefix}/lib/python*/site-packages/*.egg-info/


%changelog
* Thu Aug 22 2013 Jeff Bastian <jbastian@redhat.com> - 0.8.0-1
- update to pyipmi-0.8.0

* Thu Jul 25 2013 Jeff Bastian <jbastian@redhat.com> - 0.7.1-3
- install in /opt/calxeda

* Tue Jun 18 2013 Jeff Bastian <jbastian@redhat.com> - 0.7.1-2
- rebuild with correct upstream tarball

* Wed Jun  5 2013 Jeff Bastian <jbastian@redhat.com> - 0.7.1-1
- update to version 0.7.1

* Thu Mar  7 2013 Jeff Bastian <jbastian@redhat.com> - 0.6.2-1
- initial release of pyipmi as an rpm for Fedora 18
